--
-- Doctor ECHO
--
-- get_doctor_echo_oracle_database_information
--
-- Usage : @get_doctor_echo_oracle_database_information.sql
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

prompt
spool get_doctor_echo_oracle_database_information.log

prompt <<< Get Doctor ECHO Oracle Database Information >>>
prompt

spool off

accept TNS_NAME        char prompt 'Please enter the tns name of the Oracle Database : '
accept SYSTEM_PASSWORD char prompt 'Please enter the password of the system user     : '
prompt
accept ENTER_KEY       char prompt '<<< Please Enter Key >>>'

clear screen

spool get_doctor_echo_oracle_database_information.log append

connect system/&SYSTEM_PASSWORD@&TNS_NAME
prompt

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

spool get_doctor_echo_oracle_database_information.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ get_doctor_echo_oracle_database_information ]' ||
       ' >>>'
  from dual
/
prompt

select 'HOST_NAME      = ' ||
       decode(instr(t1.host_name,'.'),0,t1.host_name,substr(t1.host_name,1,instr(t1.host_name,'.')-1))
  from v$instance t1
/

select 'DB_UNIQUE_NAME = ' ||
       t1.db_unique_name
  from v$database t1
/

select 'INSTANCE_NAME  = ' ||
       t1.instance_name
  from v$instance t1
/

select 'GLOBAL_NAME    = ' ||
       t1.global_name
  from global_name t1
/

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ get_doctor_echo_oracle_database_information ]' ||
       ' >>>'
  from dual
/

spool off

exit sql.sqlcode
