--
-- Doctor ECHO
--
-- get_doctor_echo_oracle_database_information_for_9iR2
--
-- Usage : @get_doctor_echo_oracle_database_information_for_9iR2.sql
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

prompt
spool get_doctor_echo_oracle_database_information_for_9iR2.log

prompt <<< Get Doctor ECHO Oracle Database Information for 9iR2 >>>
prompt

spool off

accept TNS_NAME        char prompt 'Please enter the tns name of the Oracle Database : '
accept SYSTEM_PASSWORD char prompt 'Please enter the password of the system user     : '
prompt
accept ENTER_KEY       char prompt '<<< Please Enter Key >>>'

clear screen

spool get_doctor_echo_oracle_database_information_for_9iR2.log append

connect system/&SYSTEM_PASSWORD@&TNS_NAME
prompt

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

spool get_doctor_echo_oracle_database_information_for_9iR2.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ get_doctor_echo_oracle_database_information_for_9iR2 ]' ||
       ' >>>'
  from dual
/
prompt

select 'HOST_NAME      = ' ||
       decode(instr(t1.host_name,'.'),0,t1.host_name,substr(t1.host_name,1,instr(t1.host_name,'.')-1))
  from v$instance t1
/

select 'DB_UNIQUE_NAME = ' ||
       nvl(t2.lock_name_space,t4.db_name)
  from (
       select t1.value lock_name_space
         from v$system_parameter t1
         where t1.name = 'lock_name_space'
       ) t2
      ,(
       select t3.value db_name
         from v$system_parameter t3
         where t3.name = 'db_name'
       ) t4
/

select 'INSTANCE_NAME  = ' ||
       t1.instance_name
  from v$instance t1
/

select 'GLOBAL_NAME    = ' ||
       t1.global_name
  from global_name t1
/

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ get_doctor_echo_oracle_database_information_for_9iR2 ]' ||
       ' >>>'
  from dual
/

spool off

exit sql.sqlcode
