@echo off
REM
REM Doctor ECHO
REM
REM install_echo
REM
REM Usage
REM   Preparation : set LICENSE_TYPE=<LICENSE_TYPE> ([Trial] : [Free])
REM                 set ORACLE_HOME=<ORACLE_HOME>
REM                 set SYS_USER_PASSWORD=<SYS_USER_PASSWORD>
REM                 set ECHO_USER_PASSWORD=<ECHO_USER_PASSWORD>
REM                 set ECHO_DEFAULT_TABLESPACE=<ECHO_DEFAULT_TABLESPACE>
REM                 set ECHO_TEMPORARY_TABLESPACE=<ECHO_TEMPORARY_TABLESPACE>
REM                 set SMTP_SERVER_NAME=<SMTP_SERVER_NAME>
REM                 set SMTP_SERVER_PORT=<SMTP_SERVER_PORT>
REM                 set SMTP_USER_NAME=<SMTP_USER_NAME>
REM                 set SMTP_USER_PASSWORD=<SMTP_USER_PASSWORD>
REM                 set MAIL_RECIPIENT_1=<MAIL_RECIPIENT_1> (MAX 64bytes)
REM                 set MAIL_RECIPIENT_2=<MAIL_RECIPIENT_2> (Option)
REM                 set MAIL_RECIPIENT_3=<MAIL_RECIPIENT_3> (Option)
REM                 set ECHO_DATA_PUMP_DIR=<ECHO_DATA_PUMP_DIR>
REM   Execution   : install_echo.bat
REM
REM Copyright 2014 Echo Systems Inc.
REM

:start
echo ^<^<^< Install Doctor ECHO ^>^>^>
echo;
if     exist ..\..\Doctor_ECHO_Release.txt type ..\..\Doctor_ECHO_Release.txt
echo;

:setenv
set LOCAL=Doctor_ECHO
if not exist setenv_echo.bat if not exist setenv_echo_data_pump_dir.bat if not exist setenv_echo_send_mail.bat goto chk1
if     exist setenv_echo.bat               type setenv_echo.bat
if     exist setenv_echo_send_mail.bat     type setenv_echo_send_mail.bat
if     exist setenv_echo_data_pump_dir.bat type setenv_echo_data_pump_dir.bat
if     exist setenv_echo.bat               call setenv_echo.bat
if     exist setenv_echo_send_mail.bat     call setenv_echo_send_mail.bat
if     exist setenv_echo_data_pump_dir.bat call setenv_echo_data_pump_dir.bat

:setenv_ok
echo;
set /P OK="<<< Please Enter Key >>>"
echo;

:chk1
if not defined LICENSE_TYPE              set /P LICENSE_TYPE=LICENSE_TYPE ([Trial] : [Free]) [Trial]=
if     defined LICENSE_TYPE              goto :chk2
set LICENSE_TYPE=Trial
echo LICENSE_TYPE ([Trial] : [Free]) [Trial]=%LICENSE_TYPE%

:chk2
if not defined ORACLE_HOME               set /P ORACLE_HOME=ORACLE_HOME=
if not defined ORACLE_HOME               goto :chk2

:chk3
if not defined SYS_USER_PASSWORD         set /P SYS_USER_PASSWORD=SYS_USER_PASSWORD=
if not defined SYS_USER_PASSWORD         goto :chk3

:chk4
if not defined ECHO_USER_PASSWORD        set /P ECHO_USER_PASSWORD=ECHO_USER_PASSWORD=
if not defined ECHO_USER_PASSWORD        goto :chk4

:chk5
if not defined ECHO_DEFAULT_TABLESPACE   set /P ECHO_DEFAULT_TABLESPACE=ECHO_DEFAULT_TABLESPACE=
if not defined ECHO_DEFAULT_TABLESPACE   goto :chk5

:chk6
if not defined ECHO_TEMPORARY_TABLESPACE set /P ECHO_TEMPORARY_TABLESPACE=ECHO_TEMPORARY_TABLESPACE=
if not defined ECHO_TEMPORARY_TABLESPACE goto :chk6

:chk7
if not defined SMTP_SERVER_NAME          set /P SMTP_SERVER_NAME=SMTP_SERVER_NAME=
if not defined SMTP_SERVER_NAME          goto :chk7

:chk8
if not defined SMTP_SERVER_PORT          set /P SMTP_SERVER_PORT=SMTP_SERVER_PORT=
if not defined SMTP_SERVER_PORT          goto :chk8

:chk9
if not defined SMTP_USER_NAME            set /P SMTP_USER_NAME=SMTP_USER_NAME=
if not defined SMTP_USER_NAME            goto :chk9

:chk10
if not defined SMTP_USER_PASSWORD        set /P SMTP_USER_PASSWORD=SMTP_USER_PASSWORD=
if not defined SMTP_USER_PASSWORD        goto :chk10

:chk11
if not defined MAIL_RECIPIENT_1          set /P MAIL_RECIPIENT_1=MAIL_RECIPIENT_1 (MAX 64bytes)=
if not defined MAIL_RECIPIENT_1          goto :chk11

:chk12
if not defined MAIL_RECIPIENT_2          set /P MAIL_RECIPIENT_2=MAIL_RECIPIENT_2 (Option) [Null]=
if     defined MAIL_RECIPIENT_2          goto :chk13
set MAIL_RECIPIENT_2=Null
echo MAIL_RECIPIENT_2 (Option) [Null]=%MAIL_RECIPIENT_2%

:chk13
if not defined MAIL_RECIPIENT_3          set /P MAIL_RECIPIENT_3=MAIL_RECIPIENT_3 (Option) [Null]=
if     defined MAIL_RECIPIENT_3          goto :chk14
set MAIL_RECIPIENT_3=Null
echo MAIL_RECIPIENT_3 (Option) [Null]=%MAIL_RECIPIENT_3%

:chk14
if not defined ECHO_DATA_PUMP_DIR        set /P ECHO_DATA_PUMP_DIR=ECHO_DATA_PUMP_DIR=
if not defined ECHO_DATA_PUMP_DIR        goto :chk14

:chk_ok
echo;
set /P OK="<<< Please Enter Key >>>"
cls

:del_space_char
set VALUE=%LICENSE_TYPE%
call :sub_del_space_char %VALUE%
set LICENSE_TYPE=%VALUE%
set VALUE=%ORACLE_HOME%
call :sub_del_space_char %VALUE%
set ORACLE_HOME=%VALUE%
set VALUE=%ECHO_DEFAULT_TABLESPACE%
call :sub_del_space_char %VALUE%
set ECHO_DEFAULT_TABLESPACE=%VALUE%
set VALUE=%ECHO_TEMPORARY_TABLESPACE%
call :sub_del_space_char %VALUE%
set ECHO_TEMPORARY_TABLESPACE=%VALUE%
set VALUE=%SMTP_SERVER_NAME%
call :sub_del_space_char %VALUE%
set SMTP_SERVER_NAME=%VALUE%
set VALUE=%SMTP_SERVER_PORT%
call :sub_del_space_char %VALUE%
set SMTP_SERVER_PORT=%VALUE%
set VALUE=%SMTP_USER_NAME%
call :sub_del_space_char %VALUE%
set SMTP_USER_NAME=%VALUE%
set VALUE=%MAIL_RECIPIENT_1%
call :sub_del_space_char %VALUE%
set MAIL_RECIPIENT_1=%VALUE%
set VALUE=%MAIL_RECIPIENT_2%
call :sub_del_space_char %VALUE%
set MAIL_RECIPIENT_2=%VALUE%
set VALUE=%MAIL_RECIPIENT_3%
call :sub_del_space_char %VALUE%
set MAIL_RECIPIENT_3=%VALUE%
set VALUE=%ECHO_DATA_PUMP_DIR%
call :sub_del_space_char %VALUE%
set ECHO_DATA_PUMP_DIR=%VALUE%

:init
echo;
if not exist log mkdir log
if not exist %ECHO_DATA_PUMP_DIR% mkdir %ECHO_DATA_PUMP_DIR%

:main
  %ORACLE_HOME%\bin\sqlplus -s /nolog @..\sql\install_echo.sql %LICENSE_TYPE% %SYS_USER_PASSWORD% %ECHO_USER_PASSWORD% %ECHO_DEFAULT_TABLESPACE% %ECHO_TEMPORARY_TABLESPACE% %SMTP_SERVER_NAME% %SMTP_SERVER_PORT% %SMTP_USER_NAME% %SMTP_USER_PASSWORD% %MAIL_RECIPIENT_1% %MAIL_RECIPIENT_2% %MAIL_RECIPIENT_3% %ECHO_DATA_PUMP_DIR%
  set RETURN_CODE=%ERRORLEVEL%
  if not %RETURN_CODE% == 0 goto main_ok

:crt_setenv
echo set LICENSE_TYPE=%LICENSE_TYPE% >                            setenv_echo.bat
echo set ORACLE_HOME=%ORACLE_HOME% >>                             setenv_echo.bat
echo set ECHO_DEFAULT_TABLESPACE=%ECHO_DEFAULT_TABLESPACE% >>     setenv_echo.bat
echo set ECHO_TEMPORARY_TABLESPACE=%ECHO_TEMPORARY_TABLESPACE% >> setenv_echo.bat
echo set SMTP_SERVER_NAME=%SMTP_SERVER_NAME% >                    setenv_echo_send_mail.bat
echo set SMTP_SERVER_PORT=%SMTP_SERVER_PORT% >>                   setenv_echo_send_mail.bat
echo set SMTP_USER_NAME=%SMTP_USER_NAME% >>                       setenv_echo_send_mail.bat
echo set MAIL_RECIPIENT_1=%MAIL_RECIPIENT_1% >>                   setenv_echo_send_mail.bat
echo set MAIL_RECIPIENT_2=%MAIL_RECIPIENT_2% >>                   setenv_echo_send_mail.bat
echo set MAIL_RECIPIENT_3=%MAIL_RECIPIENT_3% >>                   setenv_echo_send_mail.bat
echo set ECHO_DATA_PUMP_DIR=%ECHO_DATA_PUMP_DIR% >                setenv_echo_data_pump_dir.bat

:main_ok
echo;
set /P OK="<<< Please Enter Key >>>"

goto exit

:sub_del_space_char
set VALUE=%*

:exit
