--
-- Doctor ECHO
--
-- change_echo_data_pump_dir
--
-- Usage : @change_echo_data_pump_dir.sql <SYS_USER_PASSWORD>
--                                        <ECHO_DATA_PUMP_DIR>
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

define SYS_USER_PASSWORD  = &1
define ECHO_DATA_PUMP_DIR = &2

spool log/change_echo_data_pump_dir.log

connect sys/&SYS_USER_PASSWORD as sysdba

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

set serveroutput      on format wrapped

spool log/change_echo_data_pump_dir.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ change_echo_data_pump_dir ]' ||
       ' >>>'
  from dual
/
prompt

prompt
declare
begin
    echo_install.change_echo_data_pump_dir('&ECHO_DATA_PUMP_DIR');
    commit;
exception
    when others then
        rollback;
        raise;
end;
/
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ change_echo_data_pump_dir ]' ||
       ' >>>'
  from dual
/

spool off

exit sql.sqlcode
