--
-- Doctor ECHO
--
-- change_echo_send_mail
--
-- Usage : @change_echo_send_mail.sql <SYS_USER_PASSWORD>
--                                    <SMTP_SERVER_NAME>
--                                    <SMTP_SERVER_PORT>
--                                    <SMTP_USER_NAME>
--                                    <SMTP_USER_PASSWORD>
--                                    <MAIL_RECIPIENT_1>
--                                    <MAIL_RECIPIENT_2>
--                                    <MAIL_RECIPIENT_3>
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

define SYS_USER_PASSWORD  = &1
define SMTP_SERVER_NAME   = &2
define SMTP_SERVER_PORT   = &3
define SMTP_USER_NAME     = &4
define SMTP_USER_PASSWORD = &5
define MAIL_RECIPIENT_1   = &6
define MAIL_RECIPIENT_2   = &7
define MAIL_RECIPIENT_3   = &8

spool log/change_echo_send_mail.log

connect sys/&SYS_USER_PASSWORD as sysdba

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

set serveroutput      on format wrapped

spool log/change_echo_send_mail.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ change_echo_send_mail ]' ||
       ' >>>'
  from dual
/
prompt

prompt
declare
begin
    echo_install.change_echo_send_mail('&SMTP_SERVER_NAME',&SMTP_SERVER_PORT,'&SMTP_USER_NAME','&SMTP_USER_PASSWORD','&MAIL_RECIPIENT_1','&MAIL_RECIPIENT_2','&MAIL_RECIPIENT_3');
    commit;
exception
    when others then
        rollback;
        raise;
end;
/
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ change_echo_send_mail ]' ||
       ' >>>'
  from dual
/

spool off

exit sql.sqlcode
