--
-- Doctor ECHO
--
-- impdp_echo
--
-- Usage : @impdp_echo.sql <ECHO_USER_PASSWORD>
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

define ECHO_USER_PASSWORD = &1

spool log/impdp_echo.log

connect echo/&ECHO_USER_PASSWORD

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

set serveroutput      on format wrapped

spool log/impdp_echo.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ impdp_echo ]' ||
       ' >>>'
  from dual
/
prompt

spool off

spool impdp_echo.par

declare
begin
    echo.impdp_echo;
    commit;
exception
    when others then
        rollback;
        raise;
end;
/

spool off

exit sql.sqlcode
