--
-- Doctor ECHO
--
-- patch_echo
--
-- Usage : @patch_echo.sql <SYS_USER_PASSWORD>
--                         <ECHO_USER_PASSWORD>
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

define SYS_USER_PASSWORD  = &1
define ECHO_USER_PASSWORD = &2

spool log/patch_echo.log

connect sys/&SYS_USER_PASSWORD as sysdba

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

set serveroutput      on format wrapped

column w_apex_user_name new_value APEX_USER_NAME noprint

spool log/patch_echo.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo ]' ||
       ' >>>'
  from dual
/
prompt

prompt
declare
begin
    echo_install.patch_echo;
    --
    commit;
exception
    when others then
        rollback;
        raise;
end;
/
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.create_package_echo_install ]' ||
       ' >>>'
  from dual
/
prompt

prompt
@@create_package_echo_install.plb &SYS_USER_PASSWORD
prompt
@@create_package_echo_uninstall.plb &SYS_USER_PASSWORD
prompt
@@create_package_body_echo_install.plb &SYS_USER_PASSWORD
prompt
@@create_package_body_echo_uninstall.plb &SYS_USER_PASSWORD
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.create_package_echo_install ]' ||
       ' >>>'
  from dual
/
prompt

connect echo/&ECHO_USER_PASSWORD

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.create_package_echo ]' ||
       ' >>>'
  from dual
/
prompt

prompt
@@create_package_echo.plb &ECHO_USER_PASSWORD
prompt
@@create_package_echo_license.plb &ECHO_USER_PASSWORD
prompt
@@create_package_echo_connection.plb &ECHO_USER_PASSWORD
prompt
@@create_package_echo_gather.plb &ECHO_USER_PASSWORD
prompt
@@create_package_echo_analyze.plb &ECHO_USER_PASSWORD
prompt
@@create_package_echo_notify.plb &ECHO_USER_PASSWORD
prompt
@@create_package_body_echo.plb &ECHO_USER_PASSWORD
prompt
@@create_package_body_echo_license.plb &ECHO_USER_PASSWORD
prompt
@@create_package_body_echo_connection.plb &ECHO_USER_PASSWORD
prompt
@@create_package_body_echo_gather.plb &ECHO_USER_PASSWORD
prompt
@@create_package_body_echo_analyze.plb &ECHO_USER_PASSWORD
prompt
@@create_package_body_echo_notify.plb &ECHO_USER_PASSWORD
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.create_package_echo ]' ||
       ' >>>'
  from dual
/
prompt

connect sys/&SYS_USER_PASSWORD as sysdba

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.alter_session_apex_current_schema ]' ||
       ' >>>'
  from dual
/

select max(t1.username) w_apex_user_name
  from dba_users t1
  where t1.username like 'APEX_%'
    and t1.username   != 'APEX_INSTANCE_ADMIN_USER'
    and t1.username   != 'APEX_PUBLIC_USER'
/

set feedback         on

alter session set current_schema = &APEX_USER_NAME
/

set feedback         off

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.alter_session_apex_current_schema ]' ||
       ' >>>'
  from dual
/
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.drop_apex_workspace_echo ]' ||
       ' >>>'
  from dual
/
prompt

set serveroutput      on format wrapped

prompt
declare
begin
    begin
        apex_instance_admin.remove_workspace('ECHO','N','N');
    exception
        when others then
            null;
    end;
    dbms_output.put_line('Result = ' || 'Successful');
    --
    commit;
exception
    when others then
        rollback;
        raise;
end;
/
prompt

set feedback         off
set verify           off

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.drop_apex_workspace_echo ]' ||
       ' >>>'
  from dual
/
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.create_apex_workspace_echo ]' ||
       ' >>>'
  from dual
/
prompt

prompt
@@create_apex_workspace_echo.sql
prompt

set feedback         off
set verify           off

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.create_apex_workspace_echo ]' ||
       ' >>>'
  from dual
/
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.create_apex_application_echo_view ]' ||
       ' >>>'
  from dual
/
prompt

prompt
@@create_apex_application_echo_view.sql
prompt

set feedback         off
set verify           off

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.create_apex_application_echo_view ]' ||
       ' >>>'
  from dual
/
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.create_apex_application_echo_view_img ]' ||
       ' >>>'
  from dual
/
prompt

prompt
@@create_apex_application_echo_view_img.sql
prompt

set feedback        off
set verify          off

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.create_apex_application_echo_view_img ]' ||
       ' >>>'
  from dual
/
prompt

set feedback         on

alter session set current_schema = sys
/

set feedback        off

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.check_patch_echo ]' ||
       ' >>>'
  from dual
/
prompt

prompt
declare
begin
    echo_install.check_patch_echo;
    --
    commit;
exception
    when others then
        rollback;
        raise;
end;
/
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo.check_patch_echo ]' ||
       ' >>>'
  from dual
/
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ patch_echo ]' ||
       ' >>>'
  from dual
/

spool off

exit sql.sqlcode
