@echo off
REM
REM Doctor ECHO
REM
REM disable_echo_license_key
REM
REM Usage
REM   Preparation : set ORACLE_HOME=<ORACLE_HOME>
REM                 set ECHO_USER_PASSWORD=<ECHO_USER_PASSWORD>
REM                 set SERVER_CONSTRUCTION=<SERVER_CONSTRUCTION>
REM                     (Single=[S] : High Availability=[H] : Real Application Clusters=[R])
REM                 set HOST_NAME=<HOST_NAME> (Without Domain)
REM                 set DB_UNIQUE_NAME=<DB_UNIQUE_NAME> (9iR2=[LOCK_NAME_SPACE] : [DB_NAME])
REM                 set INSTANCE_NAME=<INSTANCE_NAME>
REM                 set MASTER_NODE=<MASTER_NODE>
REM                     (S=[HOST_NAME] : H=[VIRTUAL_HOST_NAME] : R=[MASTER_NODE] Without Domain)
REM                 set LICENSE_NO=<LICENSE_NO>
REM   Execution   : disable_echo_license_key.bat
REM
REM Copyright 2014 Echo Systems Inc.
REM

:start
echo ^<^<^< Disable Doctor ECHO License Key ^>^>^>
echo;
if     exist ..\Doctor_ECHO_Release.txt type ..\Doctor_ECHO_Release.txt
echo;

:setenv
set LOCAL=Doctor_ECHO
if not exist ..\admin\bat\setenv_echo.bat if not exist setenv_echo_license_key.bat goto chk1
if     exist ..\admin\bat\setenv_echo.bat             type ..\admin\bat\setenv_echo.bat
if     exist              setenv_echo_license_key.bat type              setenv_echo_license_key.bat
if     exist ..\admin\bat\setenv_echo.bat             call ..\admin\bat\setenv_echo.bat
if     exist              setenv_echo_license_key.bat call              setenv_echo_license_key.bat

:setenv_ok
echo;
set /P OK="<<< Please Enter Key >>>"
echo;

:chk1
if not defined ORACLE_HOME         set /P ORACLE_HOME=ORACLE_HOME=
if not defined ORACLE_HOME         goto :chk1

:chk2
if not defined ECHO_USER_PASSWORD  set /P ECHO_USER_PASSWORD=ECHO_USER_PASSWORD=
if not defined ECHO_USER_PASSWORD  goto :chk2

:chk3
if not defined SERVER_CONSTRUCTION set /P SERVER_CONSTRUCTION=SERVER_CONSTRUCTION (Single=[S] : HA=[H] : RAC=[R]) [S]=
if     defined SERVER_CONSTRUCTION goto :chk4
set SERVER_CONSTRUCTION=S
echo SERVER_CONSTRUCTION (Single=[S] : HA=[H] : RAC=[R]) [S]=%SERVER_CONSTRUCTION%

:chk4
if not defined HOST_NAME           set /P HOST_NAME=HOST_NAME (Without Domain)=
if not defined HOST_NAME           goto :chk4

:chk5
if not defined DB_UNIQUE_NAME      set /P DB_UNIQUE_NAME=DB_UNIQUE_NAME (9iR2=[LOCK_NAME_SPACE] : [DB_NAME])=
if not defined DB_UNIQUE_NAME      goto :chk5

:chk6
if not defined INSTANCE_NAME       set /P INSTANCE_NAME=INSTANCE_NAME=
if not defined INSTANCE_NAME       goto :chk6

:chk7
if not defined MASTER_NODE         set /P MASTER_NODE=MASTER_NODE (S=[HOST_NAME] : H=[VIRTUAL_HOST_NAME] : R=[MASTER_NODE] Without Domain) [HOST_NAME]=
if     defined MASTER_NODE         goto :chk8
set MASTER_NODE=%HOST_NAME%
echo MASTER_NODE (S=[HOST_NAME] : H=[VIRTUAL_HOST_NAME] : R=[MASTER_NODE] Without Domain) [HOST_NAME]=%MASTER_NODE%

:chk8
if not defined LICENSE_NO          set /P LICENSE_NO=LICENSE_NO=
if not defined LICENSE_NO          goto :chk8

:chk_ok
echo;
set /P OK="<<< Please Enter Key >>>"
cls

:del_space_char
set VALUE=%ORACLE_HOME%
call :sub_del_space_char %VALUE%
set ORACLE_HOME=%VALUE%

:init
echo;
if not exist log mkdir log

:main
  %ORACLE_HOME%\bin\sqlplus -s /nolog @..\sql\disable_echo_license_key.sql %ECHO_USER_PASSWORD% %SERVER_CONSTRUCTION% %HOST_NAME% %DB_UNIQUE_NAME% %INSTANCE_NAME% %MASTER_NODE% %LICENSE_NO%

:main_ok
echo;
set /P OK="<<< Please Enter Key >>>"

goto exit

:sub_del_space_char
set VALUE=%*

:exit
