--
-- Doctor ECHO
--
-- create_tablespace_doctor_echo
--
-- Usage : @create_tablespace_doctor_echo.sql
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

prompt
spool create_tablespace_doctor_echo.log

prompt <<< Create Tablespace Doctor ECHO >>>
prompt

spool off

accept SYSTEM_PASSWORD char prompt 'Please enter the password of the system user                   : '
accept TABLESPACE_NAME char prompt 'Please enter the tablespace name of the Doctor ECHO <echo>     : '
accept DATA_FILE       char prompt 'Please enter the data file name of the Doctor ECHO (full path) : '
prompt
accept ENTER_KEY       char prompt '<<< Please Enter Key >>>'

clear screen

spool create_tablespace_doctor_echo.log append

connect system/&SYSTEM_PASSWORD@Doctor_ECHO
prompt

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

column tablespace_name format a10             heading 'TBS_NAME'
column file_name       format a60
column bytes           format 999,999,999,999
column status          format a10

spool create_tablespace_doctor_echo.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ create_tablespace_doctor_echo ]' ||
       ' >>>'
  from dual
/

set feedback          on
set heading           on

declare
begin
    execute immediate
        'drop tablespace &TABLESPACE_NAME including contents and datafiles cascade constraints';
exception
    when others then
        null;
end;
/

create smallfile tablespace &TABLESPACE_NAME
    datafile '&DATA_FILE' size 10g reuse
    autoextend on next 100m maxsize unlimited
    extent management local segment space management auto
/

select t1.tablespace_name
      ,t1.file_name
      ,t1.bytes
      ,t1.status
  from dba_data_files t1
  where t1.tablespace_name = upper('&TABLESPACE_NAME')
/

prompt

set feedback         off
set heading          off

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ create_tablespace_doctor_echo ]' ||
       ' >>>'
  from dual
/

spool off

exit sql.sqlcode
