--
-- Doctor ECHO
--
-- disable_doctor_echo_alert_log_check
--
-- Usage : @disable_doctor_echo_alert_log_check.sql
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

prompt
spool disable_doctor_echo_alert_log_check.log

prompt <<< Disable Doctor ECHO Alert Log Check >>>
prompt

spool off

accept TNS_NAME        char prompt 'Please enter the tns name of the Oracle Database : '
accept SYSTEM_PASSWORD char prompt 'Please enter the password of the system user     : '
accept ECHO_USER_NAME  char prompt 'Please enter the Doctor ECHO user name           : '
prompt
accept ENTER_KEY       char prompt '<<< Please Enter Key >>>'

clear screen

spool disable_doctor_echo_alert_log_check.log append

connect system/&SYSTEM_PASSWORD@&TNS_NAME
prompt

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

column owner       format a10
column object_type format a15
column object_name format a30
column status      format a10
column grantee     format a10
column table_name  format a30
column privilege   format a10

column w_instance_name new_value INSTANCE_NAME noprint

spool disable_doctor_echo_alert_log_check.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ disable_doctor_echo_alert_log_check ]' ||
       ' >>>'
  from dual
/

set feedback          on

select t1.instance_name w_instance_name
  from v$instance t1
/

set heading           on

declare
begin
    execute immediate
        'drop table &ECHO_USER_NAME..echo_&INSTANCE_NAME._alert_log';
exception
    when others then
        null;
end;
/

begin
    execute immediate
        'revoke read on directory echo_&INSTANCE_NAME._alert_dir from &ECHO_USER_NAME';
exception
    when others then
        null;
end;
/

begin
    execute immediate
        'drop directory echo_&INSTANCE_NAME._alert_dir';
exception
    when others then
        null;
end;
/

select t1.owner
      ,t1.object_type
      ,t1.object_name
      ,t1.status
  from dba_objects t1
  where t1.object_name = upper('echo_&INSTANCE_NAME._alert_dir')
    or  t1.object_name = upper('echo_&INSTANCE_NAME._alert_log')
  order by t1.owner
          ,t1.object_type
          ,t1.object_name
/

select t1.grantee
      ,t1.owner
      ,t1.table_name
      ,t1.privilege
  from dba_tab_privs t1
  where t1.grantee    = upper('&ECHO_USER_NAME')
    and t1.table_name = upper('echo_&INSTANCE_NAME._alert_dir')
/

prompt

set feedback         off
set heading          off

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ disable_doctor_echo_alert_log_check ]' ||
       ' >>>'
  from dual
/

spool off

exit sql.sqlcode
