--
-- Doctor ECHO
--
-- restrain_doctor_echo_asm_alert_log_check
--
-- Usage : @unused_doctor_echo_asm_alert_log_check.sql
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

prompt
spool unused_doctor_echo_asm_alert_log_check.log

prompt <<< Unused Doctor ECHO ASM Alert Log Check >>>
prompt

spool off

accept TNS_NAME        char prompt 'Please enter the tns name of the Oracle Database : '
accept SYSTEM_PASSWORD char prompt 'Please enter the password of the system user     : '
accept ECHO_USER_NAME  char prompt 'Please enter the Doctor ECHO user name           : '
prompt
accept ENTER_KEY       char prompt '<<< Please Enter Key >>>'

clear screen

spool unused_doctor_echo_asm_alert_log_check.log append

connect system/&SYSTEM_PASSWORD@&TNS_NAME
prompt

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

column owner       format a10
column object_type format a15
column object_name format a30
column status      format a10
column text        format a80

column w_instance_name new_value INSTANCE_NAME noprint

spool unused_doctor_echo_asm_alert_log_check.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ unused_doctor_echo_asm_alert_log_check ]' ||
       ' >>>'
  from dual
/

set feedback          on

select t1.instance_name w_instance_name
  from v$instance t1
/

set heading           on

declare
begin
    execute immediate
        'drop view &ECHO_USER_NAME..echo_&INSTANCE_NAME._asm_alert_log';
exception
    when others then
        null;
end;
/

create view &ECHO_USER_NAME..echo_&INSTANCE_NAME._asm_alert_log (
    text
    )
    as select t1.dummy
         from dual t1
/

select t1.owner
      ,t1.object_type
      ,t1.object_name
      ,t1.status
  from dba_objects t1
  where t1.object_name = upper('echo_&INSTANCE_NAME._asm_alert_log')
  order by t1.owner
          ,t1.object_type
          ,t1.object_name
/

select t1.text
  from &ECHO_USER_NAME..echo_&INSTANCE_NAME._asm_alert_log t1
  where rownum <= 10
/

prompt

set feedback         off
set heading          off

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ unused_doctor_echo_asm_alert_log_check ]' ||
       ' >>>'
  from dual
/

spool off

exit sql.sqlcode
