--
-- Doctor ECHO
--
-- drop_user_doctor_echo
--
-- Usage : @drop_user_doctor_echo.sql
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

prompt
spool drop_user_doctor_echo.log

prompt <<< Drop User Doctor ECHO >>>
prompt

spool off

accept TNS_NAME        char prompt 'Please enter the tns name of the Oracle Database : '
accept SYSTEM_PASSWORD char prompt 'Please enter the password of the system user     : '
accept ECHO_USER_NAME  char prompt 'Please enter the Doctor ECHO user name           : '
prompt
accept ENTER_KEY       char prompt '<<< Please Enter Key >>>'

clear screen

spool drop_user_doctor_echo.log append

connect system/&SYSTEM_PASSWORD@&TNS_NAME
prompt

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

column username             format a10
column default_tablespace   format a15 heading 'DEFAULT_TBS'
column temporary_tablespace format a15 heading 'TEMPORARY_TBS'
column profile              format a10
column account_status       format a20
column grantee              format a10
column privilege            format a30

spool drop_user_doctor_echo.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ drop_user_doctor_echo ]' ||
       ' >>>'
  from dual
/

set feedback          on
set heading           on

drop user &ECHO_USER_NAME cascade
/

select t1.username
      ,t1.default_tablespace
      ,t1.temporary_tablespace
      ,t1.profile
      ,t1.account_status
  from dba_users t1
  where t1.username = upper('&ECHO_USER_NAME')
/

select t1.grantee
      ,t1.privilege
  from dba_sys_privs t1
  where t1.grantee = upper('&ECHO_USER_NAME')
  order by t1.grantee
          ,t1.privilege
/

prompt

set feedback         off
set heading          off

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ drop_user_doctor_echo ]' ||
       ' >>>'
  from dual
/

spool off

exit sql.sqlcode
