--
-- Doctor ECHO
--
-- unsetup_echo_license_key
--
-- Usage : @unsetup_echo_license_key.sql <ECHO_USER_PASSWORD>
--                                       <SERVER_CONSTRUCTION>
--                                       <HOST_NAME>
--                                       <DB_UNIQUE_NAME>
--                                       <INSTANCE_NAME>
--                                       <MASTER_NODE>
--                                       <LICENSE_NO>
--
-- Copyright 2014 Echo Systems Inc.
--

whenever sqlerror exit sql.sqlcode rollback

define ECHO_USER_PASSWORD    = &1
define SERVER_CONSTRUCTION   = &2
define HOST_NAME             = &3
define DB_UNIQUE_NAME        = &4
define INSTANCE_NAME         = &5
define MASTER_NODE           = &6
define LICENSE_NO            = &7

spool log/unsetup_echo_license_key.log

connect echo/&ECHO_USER_PASSWORD

spool off

whenever oserror  exit failure rollback

set echo             off
set feedback         off
set heading          off
set verify           off
set tab              off
set term              on
set trimout           on
set trimspool         on
set newpage         none
set linesize         100
set pagesize       50000
set long      2000000000

set serveroutput      on format wrapped

spool log/unsetup_echo_license_key.log append

select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ unsetup_echo_license_key ]' ||
       ' >>>'
  from dual
/
prompt

prompt
declare
begin
    echo.unsetup_echo_license_key('&SERVER_CONSTRUCTION','&HOST_NAME','&DB_UNIQUE_NAME','&INSTANCE_NAME','&MASTER_NODE','&LICENSE_NO');
    commit;
exception
    when others then
        rollback;
        raise;
end;
/
prompt

prompt
select '<<< ' ||
       to_char(sysdate,'yyyy/mm/dd hh24:mi:ss') ||
       ' [ unsetup_echo_license_key ]' ||
       ' >>>'
  from dual
/

spool off

exit sql.sqlcode
